## sayonara 0.9.3

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.7)
PROJECT("Sayonara Player")


SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")

IF( WITH_COTIRE )
    INCLUDE(cotire)
    MESSAGE("Compiling with Cotire")
ELSE()
    MESSAGE("Compiling without Cotire")
ENDIF()

SET(VAR_SAYONARA_VERSION "0.9.3")

SET(SAYONARA_VERSION "${VAR_SAYONARA_VERSION}")
SET(SAYONARA_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}")
SET(SAYONARA_INSTALL_LIB_PATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/sayonara/")
SET(SAYONARA_INSTALL_BIN_PATH "${CMAKE_INSTALL_PREFIX}/bin/")
SET(SAYONARA_INSTALL_SHARE_PATH "${CMAKE_INSTALL_PREFIX}/share/sayonara/")

CONFIGURE_FILE(Macros.h.in "${CMAKE_CURRENT_BINARY_DIR}/src/Helper/Macros.h" @ONLY)

MESSAGE("Build Sayonara ${VAR_SAYONARA_VERSION}")
MESSAGE("Will install to ${CMAKE_INSTALL_PREFIX}")

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(resources)

IF( WITH_TESTS )
	MESSAGE("Compiling with tests...")
	ENABLE_TESTING()
	ADD_SUBDIRECTORY(test)
ELSE()
	MESSAGE("Compiling without tests...")
	MESSAGE(" In order to change that, use -DWITH_TESTS=1")
ENDIF()

SET(CMAKE_SKIP_RPATH:BOOL ON)
SET(CMAKE_INSTALL_MANIFEST "install_manifest.txt")

IF(${UNIX})
	execute_process(COMMAND update-menus)
ENDIF(${UNIX})

=== resources/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(say_resources)

FILE(WRITE "${CMAKE_BINARY_DIR}/resources/sayonara" "?package(sayonara): \\
  needs=\"X11\" \\
  section=\"Applications/Sound\" \\
  title=\"Sayonara\" \\
  command=\"${CMAKE_INSTALL_PREFIX}/bin/sayonara\" \\
  icon=\"${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps/sayonara.xpm\"\n"
)



IF(WIN32)
	INSTALL(FILES "player.db" DESTINATION share)
ELSE()
	INSTALL(FILES "player.db" DESTINATION share/sayonara)
	INSTALL(FILES "sayonara.desktop" DESTINATION share/applications)
	INSTALL(FILES "${CMAKE_BINARY_DIR}/resources/sayonara" DESTINATION share/menu)
	INSTALL(FILES "sayonara.appdata.xml" DESTINATION share/appdata)
	INSTALL(FILES "manpage/sayonara.1.gz" DESTINATION share/man/man1)
	INSTALL(DIRECTORY "logos/" DESTINATION share/icons/hicolor)
ENDIF()

=== src/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
PROJECT(sayonara)

INCLUDE(FindPkgConfig)
INCLUDE(compiler.cmake)

IF(WIN32)
	PKG_CHECK_MODULES(GIO gio-windows-2.0 REQUIRED)
ENDIF()

PKG_CHECK_MODULES(TAGLIB taglib>=1.6 REQUIRED)
PKG_CHECK_MODULES(GLIB glib-2.0 REQUIRED)
PKG_CHECK_MODULES(GOBJECT gobject-2.0 REQUIRED)
PKG_CHECK_MODULES(GSTREAMER gstreamer-1.0 REQUIRED)
PKG_CHECK_MODULES(GSTREAMER_BASE gstreamer-base-1.0 REQUIRED)
PKG_CHECK_MODULES(GSTREAMER_BASE_APP gstreamer-app-1.0 REQUIRED)
PKG_CHECK_MODULES(MTP libmtp)



SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)

IF( NOT DEFINED CMAKE_BUILD_TYPE OR NOT CMAKE_BUILD_TYPE ) 
	MESSAGE("Use standard build type \"Release\"")
	SET(CMAKE_BUILD_TYPE "Release")
ENDIF()

FIND_PACKAGE(Qt5 COMPONENTS Core Widgets Sql Network DBus Network Xml REQUIRED)
FIND_PACKAGE(Qt5LinguistTools REQUIRED)

SET(CMAKE_AUTOMOC ON)
SET(CMAKE_AUTOUIC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

INCLUDE_DIRECTORIES(${Qt5Core_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Widgets_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Xml_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Sql_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5DBus_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Network_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${GSTREAMER_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${GLIB_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${GOBJECT_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${GSTREAMER_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${GSTREAMER_BASE_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${TAGLIB_INCLUDE_DIRS})

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src)

ADD_DEFINITIONS(${Qt5Core_DEFINITIONS})
ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DLIB_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/lib/sayonara")


IF(WIN32)
    MESSAGE("Windows: host Will compile without dbus and shutdown support")

ELSE()
    MESSAGE("No Windows: Will compile with dbus and shutdown support")
    ADD_DEFINITIONS(-DWITH_DBUS)
    SET(WIN32 0)
ENDIF()


IF(${MTP_FOUND})
    MESSAGE("Will compile with MTP support")
    ADD_DEFINITIONS(-DWITH_MTP)
ELSE()
    MESSAGE("Will compile without MTP support")
ENDIF()


LINK_DIRECTORIES(${GSTREAMER_LIBRARY_DIRS})

IF(WIN32)
	LINK_DIRECTORIES(${GIO_LIBRARY_DIRS})
ENDIF()


ADD_SUBDIRECTORY(Application)
ADD_SUBDIRECTORY(GUI)
ADD_SUBDIRECTORY(Helper)
ADD_SUBDIRECTORY(Database)
ADD_SUBDIRECTORY(Interfaces)
ADD_SUBDIRECTORY(Components)
ADD_SUBDIRECTORY(Languages)
ADD_SUBDIRECTORY(3rdParty)

SET(SOURCES
    Main.cpp
)

ADD_EXECUTABLE(${PROJECT_NAME} ${SOURCES} ${QM_FILES})

#FILE(GLOB_RECURSE HeaderFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
#ADD_CUSTOM_TARGET(headers SOURCES ${HeaderFiles})

IF(WIN32)
	SET(OS_LIBRARIES
	    api-ms-win-core-winrt-l1-1-0
	    api-ms-win-core-winrt-string-l1-1-0
	    ${GIO_LIBRARIES}
	)
ENDIF()


TARGET_LINK_LIBRARIES(${PROJECT_NAME}
    say_application
    say_gui_resources
    say_lang
    ${OS_LIBRARIES}
)


IF(WIN32)
	INSTALL(TARGETS ${PROJECT_NAME} DESTINATION .)
ELSE()
	INSTALL(TARGETS ${PROJECT_NAME} DESTINATION bin)
ENDIF()

=== test/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(say_tests)
INCLUDE(${CMAKE_SOURCE_DIR}/src/compiler.cmake)

FIND_PACKAGE(Qt5 COMPONENTS Core Widgets Sql Network DBus Network Xml Test REQUIRED)

SET(CMAKE_AUTOMOC ON)
SET(CMAKE_AUTOUIC ON)
SET(CMAKE_INCLUDE_CURRENT_DIR ON)

INCLUDE_DIRECTORIES(${Qt5Core_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Widgets_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Xml_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Sql_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5DBus_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Network_INCLUDE_DIRS})
INCLUDE_DIRECTORIES(${Qt5Test_INCLUDE_DIRS})

ADD_DEFINITIONS(${Qt5Core_DEFINITIONS})
ADD_DEFINITIONS(${QT_DEFINITIONS})

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/src)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/src)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/test)
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/test)

INCLUDE("new_test.cmake")
NEW_TEST(Helper/FileHelperTest.cpp)
NEW_TEST(Helper/MetaDataListTest.cpp)
NEW_TEST(Helper/LanguageKeyTest.cpp)

=== src/3rdParty/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

ADD_SUBDIRECTORY(Soundcloud)
ADD_SUBDIRECTORY(SomaFM)

=== src/Application/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.7)
PROJECT(say_application)

INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_BINARY_DIR},
	${CMAKE_CURRENT_SOURCE_DIR}
)

SET(SOURCES
    application.cpp
    InstanceThread.cpp
)

SET(APPLICATION_LIBRARIES
    say_gui_library
    say_gui_directory_widget

    say_gui_plugin_bookmarks
    say_gui_plugin_broadcasting
    say_gui_plugin_engine
    say_gui_plugin_playlist_chooser
    say_gui_plugin_stream

    say_gui_player
    say_gui_preferences

    say_interfaces_libraryinterface
    say_comp_remote_control
)

IF(NOT WIN32 OR NOT DEFINED WIN32)
    SET(APPLICATION_LIBRARIES
	${APPLICATION_LIBRARIES}
	say_comp_dbus
    )
ELSE()
    SET(APPLICATION_LIBRARIES
	    ${APPLICATION_LIBRARIES}
	    sayonara_somafm
	    sayonara_soundcloud
    )
ENDIF()

ADD_LIBRARY(${PROJECT_NAME} STATIC ${SOURCES})
TARGET_LINK_LIBRARIES(${PROJECT_NAME}
    ${APPLICATION_LIBRARIES}
)

ADD_LIBRARY(sayonara_test SHARED ${SOURCES})
TARGET_LINK_LIBRARIES(sayonara_test 
	${APPLICATION_LIBRARIES}
)

=== src/Components/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
PROJECT(say_comp)

ADD_SUBDIRECTORY(Broadcasting)
ADD_SUBDIRECTORY(StreamPlugins)
ADD_SUBDIRECTORY(TagEdit)
ADD_SUBDIRECTORY(Playlist)
ADD_SUBDIRECTORY(Library)
ADD_SUBDIRECTORY(Covers)
ADD_SUBDIRECTORY(Lyrics)
ADD_SUBDIRECTORY(RemoteControl)

IF( NOT WIN32 OR NOT DEFINED WIN32 )
    ADD_SUBDIRECTORY(DBus)
ENDIF()

ADD_SUBDIRECTORY(Engine)
ADD_SUBDIRECTORY(PlayManager)
ADD_SUBDIRECTORY(Bookmarks)
ADD_SUBDIRECTORY(PlaylistChooser)

IF(${MTP_FOUND})
    ADD_SUBDIRECTORY(MTP)
ENDIF()

=== src/Database/CMakeLists.txt ===
PROJECT(say_db)
CMAKE_MINIMUM_REQUIRED(VERSION 2.7)

SET(HEADERS
    CDatabaseConnector.h
)

SET(SOURCES

    AbstractDatabase.cpp
    DatabaseHandler.cpp
    LibraryDatabase.cpp
    DatabaseSearchMode.cpp
    DatabaseBookmarks.cpp
    DatabaseConnector.cpp
    DatabaseModule.cpp
    DatabaseAlbums.cpp
    DatabaseArtists.cpp
    DatabaseLibrary.cpp
    DatabasePlaylist.cpp
    DatabasePodcasts.cpp
    DatabaseSettings.cpp
    DatabaseStreams.cpp
    DatabaseTracks.cpp
    DatabaseVisStyles.cpp

    SayonaraQuery.cpp
)

ADD_LIBRARY(${PROJECT_NAME} STATIC ${SOURCES} )
TARGET_LINK_LIBRARIES(${PROJECT_NAME}
	Qt5::Sql
	say_helper
)

IF( WITH_COTIRE )
    cotire(${PROJECT_NAME})
ENDIF()

=== src/GUI/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.7)
PROJECT(say_gui)

ADD_SUBDIRECTORY(Covers)
ADD_SUBDIRECTORY(DirectoryWidget)
ADD_SUBDIRECTORY(Helper)
ADD_SUBDIRECTORY(InfoDialog)
ADD_SUBDIRECTORY(Library)

IF(${MTP_FOUND})
    ADD_SUBDIRECTORY(MTP)
ENDIF()

ADD_SUBDIRECTORY(Player)
ADD_SUBDIRECTORY(Playlist)
ADD_SUBDIRECTORY(Preferences)
ADD_SUBDIRECTORY(Resources)
ADD_SUBDIRECTORY(ShutdownDialog)
ADD_SUBDIRECTORY(TagEdit)
ADD_SUBDIRECTORY(Plugins)

=== src/Helper/CMakeLists.txt ===
PROJECT(say_helper)
CMAKE_MINIMUM_REQUIRED(VERSION 2.7)

ADD_SUBDIRECTORY(MetaDataInfo)
ADD_SUBDIRECTORY(Settings)
ADD_SUBDIRECTORY(Compressor)

IF(NOT WIN32 OR NOT DEFINED WIN32)
    ADD_SUBDIRECTORY(Shutdown)
ENDIF()


SET(SOURCES
    EqualizerPresets.cpp
    FileHelper.cpp
    Helper.cpp
    Language.cpp
    UrlHelper.cpp
    Set.cpp
    Tree.cpp

    DirectoryReader/DirectoryReader.cpp

    Library/DateFilter.cpp
    Library/Filter.cpp
    Library/SearchMode.cpp
    Library/Sorting.cpp

    Logger/Logger.cpp

    Message/Message.cpp
    Message/GlobalMessage.cpp
    Message/GlobalMessageReceiverInterface.cpp

    MetaData/LibraryItem.cpp
    MetaData/MetaData.cpp
    MetaData/MetaDataList.cpp
    MetaData/Album.cpp
    MetaData/Artist.cpp
	MetaData/Genre.cpp

    Parser/AbstractPlaylistParser.cpp
    Parser/M3UParser.cpp
    Parser/PLSParser.cpp
    Parser/ASXParser.cpp
    Parser/PlaylistParser.cpp
    Parser/PodcastParser.cpp
    Parser/StreamParser.cpp
    Parser/CommandLineParser.cpp

    Playlist/CustomPlaylist.cpp
    Playlist/CustomPlaylistSkeleton.cpp
    Playlist/PlaylistMode.cpp

    Random/RandomGenerator.cpp
    SimilarArtists/SimilarArtists.cpp
    #SmartCompare/SmartCompare.cpp

    Tagging/Tagging.cpp

	Tagging/AbstractFrame.cpp
    Tagging/ID3v2/Discnumber.cpp
    Tagging/ID3v2/Popularimeter.cpp
    Tagging/ID3v2/Cover.cpp
    Tagging/ID3v2/AlbumArtist.cpp
	Tagging/MP4/Cover.cpp
    Tagging/MP4/DiscnumberFrame.cpp
    Tagging/MP4/AlbumArtist.cpp
    Tagging/MP4/PopularimeterFrame.cpp
    Tagging/Xiph/AlbumArtist.cpp
    Tagging/Xiph/DiscnumberFrame.cpp
    Tagging/Xiph/PopularimeterFrame.cpp

    Tagging/Models/Discnumber.cpp
    Tagging/Models/Cover.cpp
    Tagging/Models/Popularimeter.cpp

    WebAccess/AsyncWebAccess.cpp
    WebAccess/IcyWebAccess.cpp
)

#ADD_DEFINITIONS( -DSMART_COMPARE" )


ADD_LIBRARY(${PROJECT_NAME} STATIC ${SOURCES})
TARGET_LINK_LIBRARIES(${PROJECT_NAME}
    Qt5::Network
    Qt5::Xml
    Qt5::DBus
    Qt5::Gui
    tag
)

IF( WITH_COTIRE )
    cotire(${PROJECT_NAME})
ENDIF()

=== src/Interfaces/CMakeLists.txt ===
PROJECT(say_interfaces)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

ADD_SUBDIRECTORY(Notification)
ADD_SUBDIRECTORY(LibraryInterface)
ADD_SUBDIRECTORY(PlayerPlugin)
ADD_SUBDIRECTORY(PreferenceDialog)
ADD_SUBDIRECTORY(RawSoundReceiver)

=== src/Languages/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.7)
PROJECT(say_lang)

QT5_ADD_TRANSLATION(QM_FILES 
	sayonara_lang_br.ts
	sayonara_lang_cs.ts
	sayonara_lang_de.ts
	sayonara_lang_en.ts
	sayonara_lang_es.ts
	sayonara_lang_fr.ts
	sayonara_lang_hu.ts
	sayonara_lang_it.ts
	sayonara_lang_nl.ts
	sayonara_lang_pl.ts
	sayonara_lang_pt.ts
	sayonara_lang_ro.ts
	sayonara_lang_ru.ts
	sayonara_lang_ua.ts
	sayonara_lang_zh_cn.ts
)


IF(WIN32)
	SET(TRANSLATION_TARGET_PATH
		share/translations
	)
ELSE()
	SET(TRANSLATION_TARGET_PATH
		share/sayonara/translations
	)
ENDIF()


ADD_CUSTOM_TARGET(TRANSLATIONS_TARGET DEPENDS ${QM_FILES})
INSTALL(DIRECTORY ./icons DESTINATION ${TRANSLATION_TARGET_PATH} FILES_MATCHING
    PATTERN "*.png"
    PATTERN "*.svn" EXCLUDE
)

ADD_LIBRARY(${PROJECT_NAME} STATIC ${QM_FILES})


INSTALL(FILES ${QM_FILES} DESTINATION ${TRANSLATION_TARGET_PATH})

=== debian/changelog ===
sayonara (0.9.3-0mx17+1) mx; urgency=medium

  * New release, build for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Sep 2017 14:34:39 -0700

sayonara (0.9.2-0ppa9-xenial1) xenial; urgency=low

  * Playlist: Bug fixed. Saved playlists aren't deleted anymore

 -- Lucio Carreras <luciocarreras@gmail.com>  Thu, 13 Oct 2016 17:39:52 +0200

sayonara (0.9.2-0ppa7-xenial1) xenial; urgency=low

  * LastFM: Scrobbling fixes
  * Library: Genre search fixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 10 Oct 2016 23:01:04 +0200

sayonara (0.9.2-0ppa6-xenial1) xenial; urgency=low

  * Engine: make pitch optional
  * Library: live search bug fixed
  * Library: smart database search
  * Library: Filesystem watcher (experimental)
  * Library: Merge artists
  * Library/Playlist: prefix/postfix search
  * Tagging: Ignore period character in genre view* 

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 09 Oct 2016 20:43:09 +0200

sayonara (0.9.2-0ppa5-xenial1) xenial; urgency=low

  * Fixed jumping bug in speed/pitch plugin
  * Fixed segfault in crossfader
  * Debian packaging

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 20 Sep 2016 17:41:58 +0200

sayonara (0.9.2-0ppa4-xenial1) xenial; urgency=low

  * Added gstreamer bad dependency again 

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 20 Sep 2016 08:39:45 +0200

sayonara (0.9.2-0ppa3-xenial1) xenial; urgency=low

  * Added gstreamer bad dependency 

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 20 Sep 2016 07:46:14 +0200

sayonara (0.9.2-0ppa2-xenial1) xenial; urgency=low

  * Version number update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 19 Sep 2016 23:21:11 +0200

sayonara (0.9.2-0ppa1-xenial1) xenial; urgency=low

  * Added pitch control support
  * Added speed control not affecting pitch
  * Added bookmarks for supporting podcasts
  * Added System tray icon on/off support
  * Fixed lyrics bug

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 19 Sep 2016 22:59:09 +0200

sayonara (0.9.1-0ppa4-xenial1) xenial; urgency=low

  * CMake dependency update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 13 Sep 2016 22:26:21 +0200

sayonara (0.9.1-0ppa3-xenial1) xenial; urgency=low

  * Language update
  * Fixed bug in Alternative cover searcher
  * No disabled tracks are allowed to be stored in DB

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 13 Sep 2016 21:44:22 +0200

sayonara (0.9.1-0ppa2-xenial1) xenial; urgency=low

  * old ubuntu package fixes 

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 13 Sep 2016 00:25:03 +0200

sayonara (0.9.1-0ppa1-xenial1) xenial; urgency=low

  * Added cover from ID3 tag support
  * Crossfader support
  * Faster spectrum analyzer
  * Drag/Drop in Soma.fm
  * Favorite support in Soma.fm
  * Enhanced Library Disc selection
  * Open Files/Directories from playlist tab 
  * Rating in playlist
  * Show last played tracks of webstreams
  * Last.fm scrobbling time
  * Ability to revert default equalizer presets
  * More actions in directory view
  * New rating icons
  * various skin changes
  * Language update (especially spanish)
  * Lots of Bug fixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 13 Sep 2016 00:09:21 +0200

sayonara (0.9.0-0ppa4-xenial1) xenial; urgency=low

  * broken layout fix for manjaro and maybe other distributions 

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 07 Jun 2016 23:32:44 +0200

sayonara (0.9.0-0ppa3-xenial1) xenial; urgency=low

  * Czech and polish language update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 06 Jun 2016 23:05:00 +0200

sayonara (0.9.0-0ppa2-xenial1) xenial; urgency=low

  * Language update, including new polish translations 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 16 May 2016 12:34:29 +0200

sayonara (0.9.0-0ppa1-xenial1) xenial; urgency=low

  * Added Soma.FM plugin
  * Fixed Soundcloud data information fields
  * Fixed Library import paths
  * Fixed Stream recorder non-writable path issues

 -- Lucio Carreras <luciocarreras@gmail.com>  Sat, 14 May 2016 23:07:30 +0200

sayonara (0.8.3-0ppa5-xenial1) xenial; urgency=low

  * fix fatal playback bug

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 10 May 2016 01:56:12 +0200

sayonara (0.8.3-0ppa4-xenial1) xenial; urgency=low

  * Soundcloud artist search fixed (again)
  * Language updates

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 09 May 2016 21:39:59 +0200

sayonara (0.8.3-0ppa2-xenial1) xenial; urgency=low

  * Soundcloud artist search fixed
  * Library header view fixed
  * Compile errors fixed
  * KDE closing issue fixed

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 01 May 2016 20:48:43 +0200

sayonara (0.8.3-0ppa1-xenial1) xenial; urgency=low

  * Faster library reload 
  * Global preference dialog
  * Library-Playlist interaction options
  * Start player in minimized mode
  * Advanced font configuration
  * Shortcut options
  * Playlist look options
  * Context menu in directory view

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 24 Apr 2016 20:49:51 +0200

sayonara (0.8.2-0ppa10-xenial1) xenial; urgency=low

  * Xenial release 

 -- Lucio Carreras <luciocarreras@gmail.com>  Thu, 21 Apr 2016 16:59:52 +0200

sayonara (0.8.2-0ppa9-xenial1) xenial; urgency=low

  * Czech language update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Fri, 26 Feb 2016 22:33:18 +0100

sayonara (0.8.2-0ppa8-xenial1) xenial; urgency=low

  * Language update

 -- Lucio Carreras <luciocarreras@gmail.com>  Fri, 19 Feb 2016 22:45:42 +0100

sayonara (0.8.2-0ppa5-xenial1) xenial; urgency=low

  * Language update

 -- Lucio Carreras <luciocarreras@gmail.com>  Thu, 18 Feb 2016 17:25:48 +0100

sayonara (0.8.2-0ppa4-xenial1) xenial; urgency=low

  * Tag editor style update
  * Various playlist fixes
  * Enhanced Webstreams/Podcasts usability
  * Moved genre updates into new thread
  * Gapless playback is more relyable
  * Moved library plugin menus to menubar
  * Native skin more 'native'


=== debian/control ===
Source: sayonara
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Lucio Carreras <luciocarreras@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libgstreamer-plugins-bad1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libmtp-dev,
               libtag1-dev,
               pkg-config,
               qtbase5-dev (>= 5.3),
               qttools5-dev (>= 5.3),
               qttools5-dev-tools (>= 5.3),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://sayonara-player.com

Package: sayonara
Architecture: any
Depends: gstreamer1.0-plugins-ugly,
         gstreamer1.0-plugins-bad,
         libgstreamer-plugins-bad1.0-0,
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Small and lightweight music player.
 Sayonara is as a lightweight and fast library manager and music player.
 It holds a lot of features like
 Many supported music and playlist formats
 Media library with search function
 Directory view
 External device support
 Genre organization
 Playlist view organized by tabs
 (Dynamic) playback
 Equalizer
 Metadata editor (including tags from path)
 Lyrics
 Shutdown function
 MP3 Converter
 Customizable spectrum analyzer and level meter
 Last.FM radio and scrobbling
 Soundcloud support
 Internet streams
 Stream recorder
 Podcasts
 Radio Broadcasting
 Multimedia key support
 Desktop integration (DBus Mpris2 compatible)
 2 skins

## sayonara 1.1.1+git20180905

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project("Sayonara Player")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")

if( WITH_COTIRE )
	include(cotire)
	message("Compiling with Cotire")
	add_definitions(-D__STRICT_ANSI__)
else()
	message("Compiling without Cotire")
endif()

set(VAR_SAYONARA_VERSION "1.1.1")

set(SAYONARA_VERSION "${VAR_SAYONARA_VERSION}")
set(SAYONARA_INSTALL_PATH "${CMAKE_INSTALL_PREFIX}")
set(SAYONARA_INSTALL_LIB_PATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/sayonara/")
set(SAYONARA_INSTALL_BIN_PATH "${CMAKE_INSTALL_PREFIX}/bin/")
set(SAYONARA_INSTALL_SHARE_PATH "${CMAKE_INSTALL_PREFIX}/share/sayonara/")

configure_file(Macros.h.in "${CMAKE_CURRENT_BINARY_DIR}/src/Utils/Macros.h" @ONLY)

message("Build Sayonara ${VAR_SAYONARA_VERSION}")
message("Will install to ${CMAKE_INSTALL_PREFIX}")

add_subdirectory(src)
add_subdirectory(resources)

if( WITH_TESTS )
	message("Compiling with tests...")
	enable_testing()
	add_subdirectory(test)
else()
	message("Compiling without tests...")
	message(" In order to change that, use -DWITH_TESTS=1")
endif()

set(CMAKE_SKIP_RPATH:BOOL ON)
set(CMAKE_INSTALL_MANIFEST "install_manifest.txt")

=== resources/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(say_resources)

file(WRITE "${CMAKE_BINARY_DIR}/resources/sayonara" "?package(sayonara): \\
  needs=\"X11\" \\
  section=\"Applications/Sound\" \\
  title=\"Sayonara\" \\
  command=\"${CMAKE_INSTALL_PREFIX}/bin/sayonara\" \\
  icon=\"${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps/sayonara.xpm\"\n"
)

if(WIN32)
	install(FILES "player.db" DESTINATION share)
else()
	install(FILES "player.db" DESTINATION share/sayonara)
	install(FILES "sayonara.desktop" DESTINATION share/applications)
	#install(FILES "${CMAKE_BINARY_DIR}/resources/sayonara" DESTINATION share/menu)
	install(FILES "sayonara.appdata.xml" DESTINATION share/appdata)
	install(FILES "manpage/sayonara.1.gz" DESTINATION share/man/man1)
	install(DIRECTORY "logos/" DESTINATION share/icons/hicolor)
endif()

=== src/CMakeLists.txt ===
project(sayonara)

include(FindPkgConfig)
include(compiler.cmake)

if(WIN32)
	pkg_check_modules(GIO gio-windows-2.0 REQUIRED)
endif()

pkg_check_modules(TAGLIB taglib>=1.6 REQUIRED)
pkg_check_modules(GLIB glib-2.0 REQUIRED)
pkg_check_modules(GOBJECT gobject-2.0 REQUIRED)
pkg_check_modules(GSTREAMER gstreamer-1.0 REQUIRED)
pkg_check_modules(GSTREAMER_BASE gstreamer-base-1.0 REQUIRED)
pkg_check_modules(GSTREAMER_BASE_APP gstreamer-app-1.0 REQUIRED)

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)

if( NOT DEFINED CMAKE_BUILD_TYPE OR NOT CMAKE_BUILD_TYPE )
	message("Use standard build type \"Release\"")
	set(CMAKE_BUILD_TYPE "Release")
endif()

find_package(Qt5 COMPONENTS Core Widgets Sql Network DBus Xml REQUIRED)
find_package(Qt5LinguistTools REQUIRED)

set(CMAKE_AUTOMOC ON)
#set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${Qt5Core_INCLUDE_DIRS})
include_directories(${Qt5Widgets_INCLUDE_DIRS})
include_directories(${Qt5Xml_INCLUDE_DIRS})
include_directories(${Qt5Sql_INCLUDE_DIRS})
include_directories(${Qt5DBus_INCLUDE_DIRS})
include_directories(${Qt5Network_INCLUDE_DIRS})
include_directories(${GSTREAMER_INCLUDE_DIRS})
include_directories(${GLIB_INCLUDE_DIRS})
include_directories(${GOBJECT_INCLUDE_DIRS})
include_directories(${GSTREAMER_INCLUDE_DIRS})
include_directories(${GSTREAMER_BASE_INCLUDE_DIRS})
include_directories(${TAGLIB_INCLUDE_DIRS})

include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_BINARY_DIR}/src)

add_definitions(${Qt5Core_DEFINITIONS})
add_definitions(${QT_DEFINITIONS})
add_definitions(-DLIB_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/lib/sayonara")

if(WIN32)
	message("Windows: host Will compile without dbus and shutdown support")

else()
	message("No Windows: Will compile with dbus and shutdown support")
	add_definitions(-DWITH_DBUS)
	add_definitions(-DWITH_SHUTDOWN)
	set(WIN32 0)
endif()

link_directories(${GSTREAMER_LIBRARY_DIRS})

if(WIN32)
	link_directories(${GIO_LIBRARY_DIRS})
elseif(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
	find_library(execinfo_LIB execinfo)
	if(NOT execinfo_LIB)
		message(FATAL_ERROR "FreeBSD requires execinfo library")
	endif()
	set(OS_LIBRARIES ${execinfo_LIB})
endif()


add_subdirectory(Application)
add_subdirectory(GUI)
add_subdirectory(Utils)
add_subdirectory(Database)
add_subdirectory(Interfaces)
add_subdirectory(Components)
add_subdirectory(Languages)
add_subdirectory(3rdParty)

set(SOURCES
	Main.cpp
)

add_executable(${PROJECT_NAME} ${SOURCES} ${QM_FILES})

#file(GLOB_RECURSE HeaderFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
#add_custom_target(headers SOURCES ${HeaderFiles})

if(WIN32)
	set(OS_LIBRARIES
		api-ms-win-core-winrt-l1-1-0
		api-ms-win-core-winrt-string-l1-1-0
		${GIO_LIBRARIES}
	)
endif()


target_link_libraries(${PROJECT_NAME}
	say_application
	say_gui_resources
	say_lang
	${OS_LIBRARIES}
)


if(WIN32)
	install(TARGETS ${PROJECT_NAME} DESTINATION .)
else()
	install(TARGETS ${PROJECT_NAME} DESTINATION bin)
endif()

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(say_tests)
include(${CMAKE_CURRENT_SOURCE_DIR}/../src/compiler.cmake)

find_package(Qt5 COMPONENTS Core Widgets Sql Network DBus Network Xml Test REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(RESOURCES
	resources/Test.qrc
)

include_directories(${Qt5Core_INCLUDE_DIRS})
include_directories(${Qt5Widgets_INCLUDE_DIRS})
include_directories(${Qt5Xml_INCLUDE_DIRS})
include_directories(${Qt5Sql_INCLUDE_DIRS})
include_directories(${Qt5DBus_INCLUDE_DIRS})
include_directories(${Qt5Network_INCLUDE_DIRS})
include_directories(${Qt5Test_INCLUDE_DIRS})
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/../src")

add_definitions(${Qt5Core_DEFINITIONS})
add_definitions(${QT_DEFINITIONS})

include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_BINARY_DIR}/src)

include_directories(${CMAKE_SOURCE_DIR}/test)
include_directories(${CMAKE_BINARY_DIR}/test)

include("new_test.cmake")
QT5_ADD_RESOURCES(RESOURCES_RCC
        ${RESOURCES}
)

NEW_TEST(Helper/CryptTest.cpp)
NEW_TEST(Helper/FileHelperTest.cpp)
NEW_TEST(Helper/MetaDataListTest.cpp)
NEW_TEST(Helper/LanguageKeyTest.cpp)
NEW_TEST(Helper/MetaDataTest.cpp)
NEW_TEST(Tagging/LyricsTest.cpp ${RESOURCES_RCC} Tagging/AbstractTaggingTest.cpp)
NEW_TEST(Tagging/AlbumArtistTest.cpp ${RESOURCES_RCC} Tagging/AbstractTaggingTest.cpp)
NEW_TEST(Tagging/DiscnumberTest.cpp ${RESOURCES_RCC} Tagging/AbstractTaggingTest.cpp)
NEW_TEST(Tagging/RatingTest.cpp ${RESOURCES_RCC} Tagging/AbstractTaggingTest.cpp)
NEW_TEST(StreamRecorder/StreamRecorderUtilsTest.cpp)
NEW_TEST(StreamRecorder/StreamRecorderTest.cpp)

=== src/Application/CMakeLists.txt ===
project(say_application)

include_directories(
	${CMAKE_CURRENT_BINARY_DIR},
	${CMAKE_CURRENT_SOURCE_DIR}
)

file(GLOB_RECURSE SOURCES . *.cpp)

set(APPLICATION_LIBRARIES
	say_gui_library
	say_gui_directory_widget

	say_gui_player
	say_gui_preferences
	say_gui_plugins

	say_interfaces_libraryinterface
	say_comp_remote_control
)

if(NOT WIN32 OR NOT DEFINED WIN32)
	set(APPLICATION_LIBRARIES
	${APPLICATION_LIBRARIES}
	say_comp_dbus
	)
else()
	set(APPLICATION_LIBRARIES
		${APPLICATION_LIBRARIES}
		sayonara_somafm
		sayonara_soundcloud
	)
endif()

add_library(${PROJECT_NAME} STATIC ${SOURCES})
target_link_libraries(${PROJECT_NAME}
	${APPLICATION_LIBRARIES}
)

add_library(sayonara_test SHARED ${SOURCES})
target_link_libraries(sayonara_test
	${APPLICATION_LIBRARIES}
	say_gui_resources
)

=== src/Components/CMakeLists.txt ===
project(say_comp)

add_subdirectory(Bookmarks)
add_subdirectory(Broadcasting)
add_subdirectory(Covers)

if( NOT WIN32 OR NOT DEFINED WIN32 )
	add_subdirectory(DBus)
	add_subdirectory(Shutdown)
endif()

add_subdirectory(Directories)
add_subdirectory(Engine)
add_subdirectory(Library)
add_subdirectory(Lyrics)
add_subdirectory(MetaDataInfo)
add_subdirectory(Playlist)
add_subdirectory(PlaylistChooser)
add_subdirectory(PlayManager)
add_subdirectory(Preferences)
add_subdirectory(RemoteControl)
add_subdirectory(StreamPlugins)
add_subdirectory(Tagging)

=== src/GUI/CMakeLists.txt ===
project(say_gui)

add_subdirectory(Covers)
add_subdirectory(Directories)
add_subdirectory(InfoDialog)
add_subdirectory(Library)
add_subdirectory(Player)
add_subdirectory(Playlist)
add_subdirectory(Plugins)
add_subdirectory(Preferences)
add_subdirectory(Resources)
add_subdirectory(ShutdownDialog)
add_subdirectory(TagEdit)
add_subdirectory(Utils)
add_subdirectory(ImportDialog)

=== src/Interfaces/CMakeLists.txt ===
project(say_interfaces)

add_subdirectory(Notification)
add_subdirectory(LibraryInterface)
add_subdirectory(PlayerPlugin)
add_subdirectory(PreferenceDialog)
add_subdirectory(RawSoundReceiver)

=== src/Languages/CMakeLists.txt ===
project(say_lang)

file(GLOB TS_FILES . *.ts)
file(GLOB QT_QM_FILES . *.qm)

qt5_add_translation(QM_FILES ${TS_FILES})

set(QM_FILES
	${QM_FILES}
	${QT_QM_FILES}
)

if(WIN32)
	set(TRANSLATION_TARGET_PATH
		share/translations
	)
else()
	set(TRANSLATION_TARGET_PATH
		share/sayonara/translations
	)
endif()


add_custom_target(TRANSLATIONS_TARGET DEPENDS ${QM_FILES})
install(DIRECTORY ./icons DESTINATION ${TRANSLATION_TARGET_PATH} FILES_MATCHING
    PATTERN "*.png"
    PATTERN "*.svn" EXCLUDE
)

add_library(${PROJECT_NAME} STATIC ${QM_FILES})


install(FILES ${QM_FILES} DESTINATION ${TRANSLATION_TARGET_PATH})

=== src/3rdParty/SomaFM/CMakeLists.txt ===
project( sayonara_somafm )

file(GLOB_RECURSE SOURCES . *.cpp)
file(GLOB_RECURSE RAW_UI_FILES . *.ui)

qt5_wrap_ui(UI_FILES ${RAW_UI_FILES})
qt5_add_resources(RESOURCES
    ui/SomaFMIcons.qrc
)

if( WIN32 )
    add_library(${PROJECT_NAME} STATIC ${SOURCES} ${UI_FILES} ${RESOURCES})
else()
    add_library(${PROJECT_NAME} SHARED ${SOURCES} ${UI_FILES} ${RESOURCES})
endif()

target_link_libraries(${PROJECT_NAME}
    say_gui_utils
    say_comp_playlist
    say_interfaces_library_container
)

if( WITH_COTIRE )
    cotire(${PROJECT_NAME})
endif()

if(NOT WIN32 OR NOT DEFINED WIN32)
    install(TARGETS ${PROJECT_NAME} DESTINATION lib${LIB_SUFFIX}/sayonara)
endif()

=== src/3rdParty/Soundcloud/CMakeLists.txt ===
project(sayonara_soundcloud)

file(GLOB_RECURSE SOURCES . *.cpp)
file(GLOB_RECURSE RAW_UI_FILES . *.ui)
set(RESOURCES
	SoundcloudIcons.qrc
)

qt5_wrap_ui(UI_FILES ${RAW_UI_FILES})
qt5_add_resources(RESOURCES_RCC ${RESOURCES})

if(WIN32)
	add_library(${PROJECT_NAME} STATIC ${SOURCES} ${UI_FILES} ${RESOURCES_RCC})
	set(SOUNDCLOUD_INSTALL_PATH
		"share"
	)
else()
	add_library(${PROJECT_NAME} SHARED ${SOURCES} ${UI_FILES} ${RESOURCES_RCC})
	set(SOUNDCLOUD_INSTALL_PATH
		"share/sayonara"
	)

endif()

target_link_libraries(${PROJECT_NAME}
	say_db
	say_gui_utils
	say_gui_library
	say_interfaces_library_container
)

if( WITH_COTIRE )
    cotire(${PROJECT_NAME})
endif()

if(NOT WIN32 OR NOT DEFINED WIN32)
	install(TARGETS ${PROJECT_NAME} DESTINATION lib${LIB_SUFFIX}/sayonara)
endif()

install(FILES "soundcloud.db" DESTINATION ${SOUNDCLOUD_INSTALL_PATH})

=== src/Components/Bookmarks/CMakeLists.txt ===
project(say_comp_bookmarks)

file(GLOB_RECURSE SOURCES . *.cpp)

add_library(${PROJECT_NAME} STATIC ${SOURCES})
target_link_libraries(${PROJECT_NAME}
	say_db
	say_comp_playmanager
)

=== debian/changelog ===
sayonara (1.1.1+git20180905-0.1~mx17+1) mx; urgency=medium

  * New upstream git pull, build for MX 17.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Feb 2019 12:21:52 -0800

sayonara (1.1.1-0ppa4-xenial1) xenial; urgency=low

  * Genre selection: artist view fixed 

 -- Lucio Carreras <luciocarreras@gmail.com>  Wed, 05 Sep 2018 22:17:01 +0200

sayonara (1.1.1-0ppa3-xenial1) xenial; urgency=low

  * Tray icon bug fixed 

 -- Lucio Carreras <luciocarreras@gmail.com>  Thu, 30 Aug 2018 14:45:25 +0200

sayonara (1.1.1-0ppa2-xenial1) xenial; urgency=low

  * Czech and French language updates
  * Notify new version bugfix
  * Multi instance bugfix

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 28 Aug 2018 07:35:25 +0200

sayonara (1.1.1-0ppa1-xenial1) xenial; urgency=low

  * User Interface: Show a big cover and Rating
  * Cover View: Show artists
  * Cover View: Sort by artists
  * Cover View: Toolbar enhancements
  * Cover View: Caching
  * Covers: Enhanced cover search
  * Covers: Use more covers from audio files
  * Library: Deleting/Adding new libraries bugfixes
  * Library: Search mode fixes
  * Crossfader/Gapless playback accessibility
  * Shortcut for switching to album cover view
  * Shortcut for switching show album artists
  * Shortcut for showing/hiding the library
  * Playlist: Show Rating
  * Playlist: Show little covers
  * Playlist: Number, Title, Artist and Album customizable
  * Playlist Chooser bugfixes
  * Playlist View bugfixes
  * Tag Editor: Save/Load comments
  * Crossfader/Gapless Playback: Easier access through the playlist window
  * Stream Recorder: Automatic recording
  * Stream Recorder: More sophisticated path templates
  * Stream Recorder: Path templates fixed
  * Database: Encrypted passwords
  * Lyrics: Save/Load from Audio file
  * Languages: Use transifex.com for translations
  * Languages: Japanese and Arabic added
  * And a lot of bug fixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 26 Aug 2018 18:47:34 +0200

sayonara (1.1.0-0ppa1-xenial1) xenial; urgency=low

  * Cover Cache in DB
  * Ui Improvements

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 26 Aug 2018 18:10:17 +0200

sayonara (1.0.0-0ppa6-xenial1) xenial; urgency=low

  * Stream recorder date fixes
  * Unity menubar workaround
  * Playlist format string (nr tag) fixed
  * Broadcasting progress (maybe not fixed entirely)
  * French language update
  * DBus fixed

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 15 Jan 2018 01:43:16 +0100

sayonara (1.0.0-0ppa5-xenial1) xenial; urgency=low

  * Switch between Alsa and Pulseaudio
  * Unity menu fixes
  * Shortcuts for minimize and quit

 -- Lucio Carreras <luciocarreras@gmail.com>  Fri, 12 Jan 2018 22:31:06 +0100

sayonara (1.0.0-0ppa4-xenial1) xenial; urgency=low

  * Turkish language support
  * Ape support

 -- Lucio Carreras <luciocarreras@gmail.com>  Sat, 06 Jan 2018 12:36:15 +0100

sayonara (1.0.0-0ppa3-xenial1) xenial; urgency=low

  * Czech, russian and ukrainian language updates
  * compilation fixes

 -- Lucio Carreras <luciocarreras@gmail.com>  Fri, 05 Jan 2018 20:20:37 +0100

sayonara (1.0.0-0ppa2-xenial1) xenial; urgency=low

  * library view fixes
  * cover view crash removed

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 31 Dec 2017 14:04:07 +0100

sayonara (1.0.0-0ppa1-xenial1) xenial; urgency=low

  * Covers: Choose between Google, Discogs and Last.fm covers
  * Cover view: Reload covers, zoom and sorting
  * Directories: Multiple library support
  * Directories: Move/Copy/Rename operations
  * Directories: Show Song info
  * Library: Multiple library support
  * Library: Removed date filter support
  * Library: "Clear selection" button
  * Library: Bugfix: Search modes immediatly updated
  * Look & Feel: Choose system icons
  * Look & Feel: Fast preference access
  * Lyrics: Lyric server updates
  * MTP: Removed MTP device support
  * Playback: Crossfader revisited
  * Playlists: Moved load/save to playlist tabs instead of plugin
  * Proxy: Added proxy support
  * Stream recorder: Custom paths
  * Streams/Podcast: Added preferences

 -- Lucio Carreras <luciocarreras@gmail.com>  Sat, 30 Dec 2017 12:09:50 +0100

sayonara (0.9.3-0ppa5-xenial1) xenial; urgency=low

  * Ubuntu xenial package

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 05 Nov 2017 13:37:48 +0100

sayonara (0.9.3-0ppa4-xenial1) xenial; urgency=low

  * Language Update
  * Faster library cover view

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 09 May 2017 18:55:26 +0200

sayonara (0.9.3-0ppa3-xenial1) xenial; urgency=low

  * Date config fixes
  * Genre tree view fix
  * Language update

 -- Lucio Carreras <luciocarreras@gmail.com>  Tue, 02 May 2017 12:03:32 +0200

sayonara (0.9.3-0ppa2-xenial1) xenial; urgency=low

  * git version update 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 01 May 2017 23:02:37 +0200

sayonara (0.9.3-0ppa1-xenial1) xenial; urgency=low

  * Library: Album artist view
  * Library: Date view
  * Playlist: Delete button in playlist
  * Playlist: Optional clear button
  * Stream Recorder: Automatic recording
  * Streams: Remember streams in playlist
  * Streams: Parse websites
  * Streams: Split title and artist
  * Lyrics: Zoom
  * Lyrics: Remember last server
  * Lyrics: More elaborated search
  * Covers: Add discogs and last.fm cover searcher
  * Genres: Switch between tree and list view
  * Genres: Delete genre from tracks
  * Tagging: Supporting covers, album artist and rating in FLAC and ogg files
  * Player: Logging window 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 01 May 2017 22:29:47 +0200

sayonara (0.9.2-0ppa13-xenial1) xenial; urgency=low

  * Zesty release 

 -- Lucio Carreras <luciocarreras@gmail.com>  Mon, 17 Apr 2017 16:04:52 +0200

sayonara (0.9.2-0ppa12-xenial1) xenial; urgency=low

  * track creation/modify dates of tracks

 -- Lucio Carreras <luciocarreras@gmail.com>  Sun, 30 Oct 2016 12:17:57 +0100



=== debian/control ===
--- 
+++ 
@@ -2,19 +2,17 @@
 Section: sound
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Lucio Carreras <luciocarreras@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9),
                libgstreamer-plugins-bad1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libmtp-dev,
                libtag1-dev,
                pkg-config,
-               qtbase5-dev (>= 5.3),
-               qttools5-dev (>= 5.3),
-               qttools5-dev-tools (>= 5.3),
+               qtbase5-dev,
+               qttools5-dev,
+               qttools5-dev-tools,
                zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://sayonara-player.com
@@ -27,10 +25,12 @@
          libqt5sql5-sqlite,
          ${misc:Depends},
          ${shlibs:Depends}
-Description: Small and lightweight music player.
- Sayonara is as a lightweight and fast library manager and music player.
- It holds a lot of features like
- Many supported music and playlist formats
+Description: small and lightweight music player with modern interface
+ Sayonara is a lightweight and fast music library manager and player.
+ .
+ It supports many features such as:
+ .
+ All major music and playlist formats
  Media library with search function
  Directory view
  External device support

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export QT_SELECT=5

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --no-automatic-dbgsym
